<?php get_header(); ?>
<?php $showauthor = almostspring_showauthor(); $dateformat = almostspring_dateformat(); ?>

<div id="content">
<!-- google_ad_section_start -->
<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Thanks Kubrick for this code ?>

<?php if (is_category()) { ?>
<h1><?php echo single_cat_title(); ?></h1>

<?php } elseif (is_day()) { ?>
<h2><?php _e('Archive for'); ?> <?php the_time('F j, Y'); ?></h2>

<?php } elseif (is_month()) { ?>
<h2><?php _e('Archive for'); ?> <?php the_time('F, Y'); ?></h2>

<?php } elseif (is_year()) { ?>
<h2><?php _e('Archive for'); ?> <?php the_time('Y'); ?></h2>

<?php } elseif (is_author()) { ?>
<h2><?php _e('Author Archive'); ?></h2>

<?php } elseif (is_search()) { ?>
<h2><?php _e('Search Results'); ?></h2>

<?php } elseif ( function_exists('is_tag')) if (is_tag()) { ?>
<h1><?php echo single_tag_title(); ?></h1>

<?php } ?>

<?php while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">

<h2 class="posttitle"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>

<p class="postmeta"> 
<?php if ($dateformat == 'default') { 
the_time(get_settings('date_format'));
} else { 
the_time('F j, Y');
} ?>
<?php _e(' at'); ?> <?php the_time() ?> 
<?php if ($showauthor == 'true') {
_e('by'); echo ' '; the_author_posts_link();
} ?>
&#183; <?php _e('Filed under'); ?> <?php the_category(', ') ?>
<?php edit_post_link(__('Edit'), ' &#183; ', ''); ?>
</p>

<div class="postentry">
<?php /* AdSense Code Start */ ?><?php if ($wp_query->current_post == 0) include("first-ad.php"); ?><?php /* AdSense Code End */ ?>
<?php /* Post Teaser Addon Fix */ ?><?php if (function_exists('post_teaser22')) : ?><?php the_content(); ?>
<?php else : ?><?php the_excerpt(','); ?><p>Continue Reading <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></p><?php endif; ?><?php /* Post Teaser Addon Fix */ ?>

<?php /* Tags WP 2.3 Code Start */ if ( function_exists('is_tag')){ ?>
<p><?php the_tags(); ?></p>
<?php /* Tags WP 2.3 Code End */ } ?>
</div>

<div style="clear: both;">
<p class="postfeedback">

<?php comments_popup_link(__('Comments'), __('Comments (1)'), __('Comments (%)'), 'commentslink', __('Comments off')); ?>
</p>

<!--
<?php trackback_rdf(); ?>
-->
</div>

</div>

<?php endwhile; ?>
<!-- google_ad_section_end -->
<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<?php InsertAdvert($MainBottom);?>
</div><?php /* AdSense Code End */ ?>

<?php /* wp_pagenavi Code */ ?>
<?php if (function_exists('wp_pagenavi')) : ?>
<div class="pagenav-alt">
<?php wp_pagenavi(); ?>
</div>
<?php else : ?>
<div class="postnav">
<div class="prev"><?php next_posts_link(__('&laquo; Previous Entries')) ?></div>
<div class="next"><?php previous_posts_link(__('Next Entries &raquo;')) ?></div>
</div>
<?php endif; ?>
<?php /* wp_pagenavi Code */ ?>

<?php else : ?>

<h2><?php _e('Not Found'); ?></h2>

<p><?php _e('Sorry, but no posts matched your criteria.'); ?></p>

<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<?php InsertAdvert($MainBottom);?>
</div><?php /* AdSense Code End */ ?>

<h3><?php _e('Search'); ?></h3>

<?php include (TEMPLATEPATH . '/searchform.php'); ?>

<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<?php InsertAdvert($SearchBottom);?>
</div><?php /* AdSense Code End */ ?>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>